package com.zipcodewilmington.froilansfarm.Classes;

import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Interfaces.FarmVehicle;
import com.zipcodewilmington.froilansfarm.Interfaces.Fertilizer;

public class ManureSpreader extends Vehicle implements FarmVehicle, Fertilizer {

    public Crop harvest() {

        return null;
    }

    public void operate(Farm farm) {
        makeNoise();
    }

    public void fertilize(CropRow cropRow) {
        for (Crop crop : cropRow) {
            crop.setFertilized(true);
        }
    }
}

