package com.zipcodewilmington.froilansfarm.Classes;

import com.zipcodewilmington.froilansfarm.Interfaces.Edible;
import com.zipcodewilmington.froilansfarm.Interfaces.Produce;

public class Crop implements Produce
{
    private boolean hasBeenHarvested = false;
    private boolean hasBeenFertilized = false;

    public Edible yield() {

        Edible food = new Edible() {};

        if (hasBeenHarvested == false && hasBeenFertilized == true) {
            return food;
        } else {
            return null;
        }
    }

    public boolean isFertilized() {
        return hasBeenFertilized;
    }

    public void setFertilized(boolean hasBeenFertilized) {
        this.hasBeenFertilized = hasBeenFertilized;
    }


    public boolean isHarvested() {
        return hasBeenHarvested;
    }

    public void setHarvested(boolean hasBeenHarvested) {
        this.hasBeenHarvested = hasBeenHarvested;
    }

}
