package com.zipcodewilmington.froilansfarm.Classes;

import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Interfaces.FarmVehicle;

public class Cropduster extends Aircraft implements FarmVehicle
{
    public void fertilize(CropRow cropRow) {
        for (Crop crop : cropRow) {
            crop.setFertilized(true);
        }
    }

    @Override
    public void operate(Farm farm) {
        makeNoise();
    }
}
