package com.zipcodewilmington.froilansfarm.Classes;

import com.zipcodewilmington.froilansfarm.Collections.CropRow;
import com.zipcodewilmington.froilansfarm.Farm;
import com.zipcodewilmington.froilansfarm.Interfaces.Edible;
import com.zipcodewilmington.froilansfarm.Interfaces.FarmVehicle;

public class Tractor extends Vehicle implements FarmVehicle {

    public Edible harvest(CropRow cropRow) {
        for (int i = 0; i < cropRow.size(); i++) {
            for (Crop crop : cropRow) {
                if (crop.isFertilized() == true && crop.isHarvested() == false) {
                    crop.yield();
                    crop.setHarvested(true);
                }
            }
        }
        return null;
    }

    public void operate(Farm farm) {
        makeNoise();
    }
}
